package com.dashitech.api.rest;

import com.dashitech.migration.StartApplication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/api")
public class ApiRest {

    @Autowired
    StartApplication startApplication;


    @RequestMapping(value = "/start", method = RequestMethod.GET)
    @ResponseBody
    public String start() {

        startApplication.start();

        return "ok";
    }


}
