package com.dashitech.config;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

@Configuration
public class JdbcTemplateConfig {
    @Bean
    @Primary
    public JdbcTemplate jdbcTemplateHsms(@Qualifier("mysql2DataSource")DataSource dataSource){
        return new JdbcTemplate(dataSource);
    }
    @Bean
    public JdbcTemplate jdbcTemplateMdv2(@Qualifier("mysql3DataSource")DataSource dataSource){
        return new JdbcTemplate(dataSource);
    }
}
