package com.dashitech.migration.core;

import com.dashitech.migration.util.JdbcRow;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 */
public class RowsWrap {

    private List<JdbcRow> insertRows = new ArrayList<>();
    private List<JdbcRow> updateRows = new ArrayList<>();

    public void addInsertRow(JdbcRow row) {
        insertRows.add(row);
    }

    public void addUpdateRow(JdbcRow row) {
        updateRows.add(row);
    }

    public List<JdbcRow> getInsertRows() {
        return insertRows;
    }

    public void setInsertRows(List<JdbcRow> insertRows) {
        this.insertRows = insertRows;
    }

    public List<JdbcRow> getUpdateRows() {
        return updateRows;
    }

    public void setUpdateRows(List<JdbcRow> updateRows) {
        this.updateRows = updateRows;
    }
}
