package com.dashitech.utils;

import java.sql.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by xuweihua on 2021/6/9.
 */
public class JDBCLearn {
    private static String jdbc = PropertiesUtil.getProperty("sqlserver.conn.jdbc");
    private static String user = PropertiesUtil.getProperty("sqlserver.user");
    private static String pwd = PropertiesUtil.getProperty("sqlserver.password");

    private static String jdbc1 = PropertiesUtil.getProperty("sqlserver.conn.jdbc1");
    private static String user1 = PropertiesUtil.getProperty("sqlserver.user1");
    private static String pwd1 = PropertiesUtil.getProperty("sqlserver.password1");

    /**
    public static void main(String[] args) throws ClassNotFoundException, SQLException { //加载驱动
        Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        String url = "jdbc:sqlserver://172.18.100.200:1433;DataBaseName=CR_JMPZZX_V4";
        String username = "dszzzxroot";
        String passWord = "IuMrNP01Gk7NFeFz";
        //建立连接
        Connection comm = DriverManager.getConnection(url,username,passWord);
        String SQL = "SELECT * FROM dbo.JMPZ_ZZFW_JJD_V ";//注意：表名一定要带[]
        Statement stmt = comm.createStatement();
        //结果集
        ResultSet rs = stmt.executeQuery(SQL);
        List list = new ArrayList();
        ResultSetMetaData rsmd = rs.getMetaData();
        //每循环一次遍历出来1条记录，记录对应的所有列值存放在map中(columnName:columnValue)
        while(rs.next()){
            Map map = new HashMap();
            int columnCount = rsmd.getColumnCount();
            for(int i=0;i<columnCount;i++){
                String columnName = rsmd.getColumnName(i+1);
                map.put(columnName, rs.getObject(i+1));
            }
            list.add(map);
        }
        rs.close();
        comm.close();
    }
    */
    public List getDataList(String sql,Integer type){
        try{
            //建立连接
            Connection comm = null;
            if (type == null) {
                comm = DriverManager.getConnection(jdbc, user, pwd);
            } else if (type != null && type == 1) {
                comm = DriverManager.getConnection(jdbc1, user1, pwd1);
            }
            Statement stmt = comm.createStatement();
            //结果集
            ResultSet rs = stmt.executeQuery(sql);
            List list = new ArrayList();
            ResultSetMetaData rsmd = rs.getMetaData();
            //每循环一次遍历出来1条记录，记录对应的所有列值存放在map中(columnName:columnValue)
            while(rs.next()){
                Map map = new HashMap();
                int columnCount = rsmd.getColumnCount();
                for(int i=0;i<columnCount;i++){
                    String columnName = rsmd.getColumnName(i+1);
                    map.put(columnName, rs.getObject(i+1));
                }
                list.add(map);
            }
            rs.close();
            comm.close();
            return list;
        }catch (Exception e){
            e.printStackTrace();
        }
        return  null;
    }
}
