/*
package com.dashitech.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.orm.hibernate4.LocalSessionFactoryBean;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.sql.DataSource;
import java.util.Properties;

@Configuration
@EnableTransactionManagement
public class SessionFactoryConfig {
	
	@Autowired
	DataSource dataSource;
	
	@Bean
	public LocalSessionFactoryBean sessionFactory() {
		LocalSessionFactoryBean sessionFactoryBean = new LocalSessionFactoryBean();
		sessionFactoryBean.setDataSource(dataSource);
		Properties properties1 = new Properties();
		properties1.setProperty("hibernate.dialect", "org.hibernate.dialect.MySQL5Dialect");
		properties1.setProperty("hibernate.show_sql", "false");
		sessionFactoryBean.setHibernateProperties(properties1);
		sessionFactoryBean.setPackagesToScan("com.dashitech.entity.mysqldatabase1");
		
		return sessionFactoryBean;
	}
	
	
}

*/
