package com.dashitech.migration;

import com.dashitech.migration.core.FieldMapper;

/**
 * Created by CX on 2024/10/10.
 */
public interface SqlTask {

    /**
     * 不需要try/catch，有错就抛出来处理。一个start只能单独执行，如果嵌套到别的方法内，事务可能不会正常执行
     */
    void start();

    /**
     * 如果之前执行有报错，需要重新加载特定字段缓存数据
     */
    FieldMapper loadCache();


}
